LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBCommand Class Reference

`#include <SBCommandInterpreter.h>`

## Public Member Functions
| SBCommand ()
bool | IsValid ()
const char * | GetName ()
const char * | GetHelp ()
const char * | GetHelpLong ()
void | SetHelp (const char *)
void | SetHelpLong (const char *)
uint32_t | GetFlags ()
void | SetFlags (uint32_t flags)
lldb::SBCommand | AddMultiwordCommand (const char *name, const char *help=nullptr)
lldb::SBCommand | AddCommand (const char *name, lldb::SBCommandPluginInterface *impl, const char *help=nullptr)
lldb::SBCommand | AddCommand (const char *name, lldb::SBCommandPluginInterface *impl, const char *help, const char *syntax)

## Friends
class | SBDebugger
class | SBCommandInterpreter

## Detailed Description

Definition at line 242 of file SBCommandInterpreter.h.

## Constructor & Destructor Documentation

lldb::SBCommand::SBCommand | ( |  | ) |

## Member Function Documentation

lldb::SBCommand lldb::SBCommand::AddCommand | ( | const char * | name,
|  | lldb::SBCommandPluginInterface * | impl,
|  | const char * | help = `nullptr`
| ) |  |

lldb::SBCommand lldb::SBCommand::AddCommand | ( | const char * | name,
|  | lldb::SBCommandPluginInterface * | impl,
|  | const char * | help,
|  | const char * | syntax
| ) |  |

lldb::SBCommand lldb::SBCommand::AddMultiwordCommand | ( | const char * | name,
|  | const char * | help = `nullptr`
| ) |  |

uint32_t lldb::SBCommand::GetFlags | ( |  | ) |

const char* lldb::SBCommand::GetHelp | ( |  | ) |

const char* lldb::SBCommand::GetHelpLong | ( |  | ) |

const char* lldb::SBCommand::GetName | ( |  | ) |

bool lldb::SBCommand::IsValid | ( |  | ) |

void lldb::SBCommand::SetFlags | ( | uint32_t | flags | ) |

void lldb::SBCommand::SetHelp | ( | const char * |  | ) |

void lldb::SBCommand::SetHelpLong | ( | const char * |  | ) |

## Friends And Related Function Documentation

friend class SBCommandInterpreter
| friend

Definition at line 275 of file SBCommandInterpreter.h.

friend class SBDebugger
| friend

Definition at line 274 of file SBCommandInterpreter.h.

The documentation for this class was generated from the following file:

- SBCommandInterpreter.h